### Method

# Snapd AuthData get_macaroon

since: 1.0

#### Declaration [src]

    const gchar*
    snapd_auth_data_get_macaroon (
      SnapdAuthData* auth_data
    )

#### Description [src]

Get the Macaroon that this authorization uses.

Available since: 1.0

Gets property | `Snapd.AuthData:macaroon`

#### Return value

Type: `const gchar*`

The serialized Macaroon used to authorize access to snapd.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.